<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>PDFImage | useapassphrase</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">useapassphrase</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_app_pdfgen_.html">&quot;app/pdfGen&quot;</a>
				</li>
				<li>
					<a href="_app_pdfgen_.pdfimage.html">PDFImage</a>
				</li>
			</ul>
			<h1>Class PDFImage</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>An image for inclusion in a jsPDF.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">PDFImage</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#data" class="tsd-kind-icon">data</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#format" class="tsd-kind-icon">format</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#height" class="tsd-kind-icon">height</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#posx" class="tsd-kind-icon">posX</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#posy" class="tsd-kind-icon">posY</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class"><a href="_app_pdfgen_.pdfimage.html#width" class="tsd-kind-icon">width</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class">
					<a name="constructor" class="tsd-anchor"></a>
					<h3>constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">new PDFImage<span class="tsd-signature-symbol">(</span>data<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span>, format<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, posX<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, posY<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, width<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, height<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_app_pdfgen_.pdfimage.html" class="tsd-signature-type">PDFImage</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in app/pdfGen.ts:18</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>data: <span class="tsd-signature-type">any</span></h5>
								</li>
								<li>
									<h5>format: <span class="tsd-signature-type">string</span></h5>
								</li>
								<li>
									<h5>posX: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>posY: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>width: <span class="tsd-signature-type">number</span></h5>
								</li>
								<li>
									<h5>height: <span class="tsd-signature-type">number</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_app_pdfgen_.pdfimage.html" class="tsd-signature-type">PDFImage</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="data" class="tsd-anchor"></a>
					<h3>data</h3>
					<div class="tsd-signature tsd-kind-icon">data<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">any</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:20</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="format" class="tsd-anchor"></a>
					<h3>format</h3>
					<div class="tsd-signature tsd-kind-icon">format<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:21</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="height" class="tsd-anchor"></a>
					<h3>height</h3>
					<div class="tsd-signature tsd-kind-icon">height<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:25</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="posx" class="tsd-anchor"></a>
					<h3>posX</h3>
					<div class="tsd-signature tsd-kind-icon">posX<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:22</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="posy" class="tsd-anchor"></a>
					<h3>posY</h3>
					<div class="tsd-signature tsd-kind-icon">posY<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:23</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class">
					<a name="width" class="tsd-anchor"></a>
					<h3>width</h3>
					<div class="tsd-signature tsd-kind-icon">width<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in app/pdfGen.ts:24</li>
						</ul>
					</aside>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_getcookie_.html">"app/get<wbr>Cookie"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_leadership_script_.html">"app/leadership/script"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_app_pdfgen_.html">"app/pdf<wbr>Gen"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_script_.html">"app/script"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_service_script_.html">"app/service/script"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_signature_script_.html">"app/signature/script"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_teacher_script_.html">"app/teacher/script"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_app_uploadimagesonselect_.html">"app/upload<wbr>Images<wbr>OnSelect"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_applicant_.html">"applicant"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_script_.html">"script"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_validateapplicant_.html">"validate<wbr>Applicant"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class tsd-parent-kind-external-module">
						<a href="_app_pdfgen_.pdfimage.html" class="tsd-kind-icon">PDFImage</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#data" class="tsd-kind-icon">data</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#format" class="tsd-kind-icon">format</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#height" class="tsd-kind-icon">height</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#posx" class="tsd-kind-icon">posX</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#posy" class="tsd-kind-icon">posY</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class">
								<a href="_app_pdfgen_.pdfimage.html#width" class="tsd-kind-icon">width</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
					<li class=" tsd-kind-class tsd-parent-kind-external-module">
						<a href="_app_pdfgen_.pdftext.html" class="tsd-kind-icon">PDFText</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module">
						<a href="../modules/_app_pdfgen_.html#generatepdf" class="tsd-kind-icon">generatePDF</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>